<!--
 - Created by MarosGrajcar on 3/4/2020.
 -->

<!-- Elg Amu Lookup Input -->
<template>

    <lightning-input
            name={label}
            label={label}
            type="search"
            placeholder={placeholder}
            value={searchTerm}
            required={isRequired}
            onchange={handleInput}
            onblur={handleBlur}
            onfocus={handleFocus}>
    </lightning-input>
    <!--	RESULTS-->
    <div class="result_wrapper">
        <div class="slds-lookup__menu slds slds-color__background_gray-1 search-hover"
             role="listbox"
             if:true={displayResults}>

            <div class="slds-lookup__item--label slds-text-body--small"
                 if:false={searchMessageEmpty}>
                {searchMessage}
            </div>

            <center>
                <lightning-spinner alternative-text="Loading"
                                   size="small"
                                   class="slds-color__background_gray-1"
                                   if:true={searching}>
                </lightning-spinner>
            </center>

            <ul class="slds-lookup__list"
                role="listbox">
                <template for:each={searchResults}
                          for:item="singleRec">
                    <c-elg_amu_lookup-result-item
                            key={singleRec.Id}
                            record={singleRec}
                            field={fieldAPIName}
                            onselection={handleSelection}>
                    </c-elg_amu_lookup-result-item>
                </template>
            </ul>
        </div>
    </div>

</template>